using Microsoft.VisualBasic.CompilerServices;
using System;

//namespace SE0085.CTdB
namespace FAS_LIB
{
	public class scSectionsRoutingInfo
	{
		private int _RoutingId;

		private string _RoutingWorkCenter;

		private string _RoutingNextWorkCtr;

		private int _RoutingRunTimeMin;

		private DateTime _RoutingSchStartDt;

		private DateTime _RoutingSchFinishDt;

		private DateTime _RoutingActStartDt;

		private DateTime _RoutingActFinishDt;

		private DateTime _RoutingQueuedDt;

		private string _RoutingStatusCD;

		public DateTime RoutingActFinishDt
		{
			get
			{
				return this._RoutingActFinishDt;
			}
			set
			{
				this._RoutingActFinishDt = value;
			}
		}

		public DateTime RoutingActStartDt
		{
			get
			{
				return this._RoutingActStartDt;
			}
			set
			{
				this._RoutingActStartDt = value;
			}
		}

		public int RoutingId
		{
			get
			{
				return this._RoutingId;
			}
			set
			{
				this._RoutingId = value;
			}
		}

		public string RoutingNextWorkCtr
		{
			get
			{
				return this._RoutingNextWorkCtr;
			}
			set
			{
				this._RoutingNextWorkCtr = value;
			}
		}

		public DateTime RoutingQueuedDt
		{
			get
			{
				return this._RoutingQueuedDt;
			}
			set
			{
				this._RoutingQueuedDt = value;
			}
		}

		public int RoutingRunTimeMin
		{
			get
			{
				return this._RoutingRunTimeMin;
			}
			set
			{
				this._RoutingRunTimeMin = value;
			}
		}

		public DateTime RoutingSchFinishDt
		{
			get
			{
				return this._RoutingSchFinishDt;
			}
			set
			{
				this._RoutingSchFinishDt = value;
			}
		}

		public DateTime RoutingSchStartDt
		{
			get
			{
				return this._RoutingSchStartDt;
			}
			set
			{
				this._RoutingSchStartDt = value;
			}
		}

		public string RoutingStatusCD
		{
			get
			{
				return this._RoutingStatusCD;
			}
			set
			{
				this._RoutingStatusCD = value;
			}
		}

		public string RoutingWorkCenter
		{
			get
			{
				return this._RoutingWorkCenter;
			}
			set
			{
				this._RoutingWorkCenter = value;
			}
		}

		public scSectionsRoutingInfo()
		{
			this._RoutingId = 0;
			this._RoutingWorkCenter = "";
			this._RoutingNextWorkCtr = "";
			this._RoutingRunTimeMin = 0;
			this._RoutingSchStartDt = Conversions.ToDate("12/31/2019");
			this._RoutingSchFinishDt = Conversions.ToDate("12/31/2019");
			this._RoutingActStartDt = Conversions.ToDate("01/01/1901");
			this._RoutingActFinishDt = Conversions.ToDate("01/01/1901");
			this._RoutingQueuedDt = Conversions.ToDate("01/01/1901");
			this._RoutingStatusCD = "X";
		}
	}
}